package com.joelhelkala.watcherGui.Nodes.Node.NodeData;

import java.time.LocalDateTime;

/*
 * Helper class for nodeData
 */
public class NodeData {
	private final LocalDateTime measured_at;
	private final Integer temperature;
	private final Integer humidity;
	private final Integer luminosity;
	
	// Default constructor
	public NodeData() {
		this.measured_at = null;
		this.temperature = null;
		this.humidity = null;
		this.luminosity = null;
	}
	
	// Constructor with data
	public NodeData(LocalDateTime measured_at, Integer temperature, Integer humidity, Integer luminosity) {
		this.measured_at = measured_at;
		this.temperature = temperature;
		this.humidity = humidity;
		this.luminosity = luminosity;
	}
	
	// GETTERS
	public LocalDateTime getTime() {
		return measured_at;
	}

	public Integer getTemperature() {
		return temperature;
	}
	
	public Integer getHumidity() {
		return humidity;
	}

	public Integer getLuminosity() {
		return luminosity;
	}
}
